<?php
/* width     bredd */
if ( ! isset( $content_width ) ) 
$content_width = 400;

	
if ( ! function_exists( 'Pia_setup' ) ) :
	function Pia_setup() {
	
	/* translate */
	load_theme_textdomain( 'Pia', get_template_directory() . '/languages' );
	
	add_theme_support( 'custom-background');
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-formats', array( 'aside', 'gallery','link','image','quote','status','video','audio' ));
	
	/* add menu */
	register_nav_menus( array(
		'primary' => __( 'Primary Navigation', 'Pia' ),
	) );
	
	define( 'NO_HEADER_TEXT', true );
	
}
endif;
add_action( 'after_setup_theme', 'Pia_setup' );


function Pia_add_editor_styles() {
    add_editor_style();
}
add_action( 'init', 'Pia_add_editor_styles' );


/* add the jquery and slider        ladda jquery och slidern*/
function Pia_scripts(){
	if ( ! is_admin() ){
			wp_enqueue_script( 'jquery' );
			wp_register_script( 'Pia_custom_script', get_template_directory_uri() . '/scripts/jquery.cycle.all.js' );
			wp_enqueue_script( 'Pia_custom_script');
			
			if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
				wp_enqueue_script( 'comment-reply' );
			}
	}
}
add_action( 'wp_enqueue_scripts', 'Pia_scripts' );

/* Enqueue fonts */
 function Pia_styles() {
    wp_register_style('Pia_Font','//fonts.googleapis.com/css?family=Roboto:400,400italic,700,700italic' );	
	wp_enqueue_style( 'Pia_style', get_stylesheet_uri() );
    wp_enqueue_style('Pia_Font');
}
 add_action('wp_print_styles', 'Pia_styles');	

 
/* add 'home' button to menu            'hem' knapp i menyn*/
function Pia_page_menu_args( $args ) {
		$args['show_home'] = true;
		return $args;
	}
add_filter( 'wp_page_menu_args', 'Pia_page_menu_args' );

add_filter( 'get_the_excerpt', 'Pia_custom_excerpt_more',100 );
add_filter( 'excerpt_more', 'Pia_auto_excerpt_more',100 );
add_filter( 'the_content_more_link', 'Pia_continue_reading_link', 100 );
	
/* Post excerpt        utdrag*/
function Pia_excerpt_length( $length ) {
	return 120;
}
add_filter( 'excerpt_length', 'Pia_excerpt_length' );

/* "Continue Reading"      Byt ut [...]*/
function Pia_continue_reading_link() {
	return ' <a href="'. get_permalink() . '">' . __( 'Continue reading ', 'Pia' ) . get_the_title() . ' &rarr;</a>';
}

function Pia_auto_excerpt_more( $more ) {
	return ' &hellip;' . Pia_continue_reading_link();
}
add_filter( 'excerpt_more', 'Pia_auto_excerpt_more' );

function Pia_custom_excerpt_more( $output ) {
	if ( has_excerpt() && ! is_attachment() ) {
		$output .= Pia_continue_reading_link();
	}
	return $output;
}
add_filter( 'get_the_excerpt', 'Pia_custom_excerpt_more' );




/* Comments        Kommentarerna */
if ( ! function_exists( 'Pia_comment' ) ) :
	function Pia_comment( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment;
		switch ( $comment->comment_type ) :
			case '' :
		?>
		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
			<div class="comment-body">
				<div class="comment-author vcard">
				<?php 
					if ($comment->comment_parent) {
						$parent_comment = get_comment($comment->comment_parent);
						echo '<cite class="fn">' .get_comment_author_link() .'</cite>';
						printf( __(' in reply to <i>%1$s</i> on %2$s at %3$s:','Pia' ), $parent_comment->comment_author, get_comment_date(__('F j, Y','Pia')), get_comment_time(__('g:i A','Pia')) ); 
					}
					else {
						printf( __('<cite class="fn">%s</cite>','Pia'), get_comment_author_link() ); 
						/* translators: 1: date, 2: time */
						printf( __( ' on %1$s at %2$s:', 'Pia' ), get_comment_date(__('F j, Y','Pia')),  get_comment_time(__('g:i A','Pia')) ); 
					}
					edit_comment_link( __( '(Edit)', 'Pia' ), ' ' );	?>
				</div>
			
				<?php if ( $comment->comment_approved == '0' ) : ?>
					<em><?php _e( 'Your comment is awaiting moderation.', 'Pia' ); ?></em><br/>
				<?php endif; ?>
			<?php comment_text(); ?>
			</div>
			<?php echo get_avatar( $comment, 50 ); ?>
			<div class="reply"><?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?></div><!-- .reply -->
	<?php
		break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="pingback">
	<p><?php comment_author_link(); ?>   <?php edit_comment_link( __('(Edit)', 'Pia'), ' ' ); ?></p>
	<?php
	break;
	endswitch;
}
endif;


function Pia_widgets() {
	/* Register widget areas (Sidebars)        Skapa sidebars*/
	register_sidebar(array('name'=>'Top_Widgetarea_Left'));
	register_sidebar(array('name'=>'Top_Widgetarea_Middle'));
	register_sidebar(array('name'=>'Top_Widgetarea_Right'));

	register_sidebar(array('name'=>'Footer_Widgetarea_Left'));
	register_sidebar(array('name'=>'Footer_Widgetarea_Middle'));
	register_sidebar(array('name'=>'Footer_Widgetarea_Right'));
}
add_action( 'widgets_init', 'Pia_widgets' );



if ( ! function_exists( 'Pia_meta' ) ) :
/**
 * Prints meta information for the current post.
 */
function Pia_meta() {
	echo '<div class="entry-meta">';
	_e('Posted by ', 'Pia');
    the_author_posts_link();
	
	if (is_single()):
		echo __(' on ','Pia');
		the_time(get_option('date_format'));
	endif;
	
	echo ' | ';
	
	if ( count( get_the_category() ) ) :
		echo ' ' . get_the_category_list(', ') . ' | ' ;
	endif;
	
	if (get_the_tag_list()):
		//$pia_tags_list = get_the_tag_list( '', ', ' );
		_e( 'Tagged ', 'Pia' );
		echo get_the_tag_list( '', ', ' );
		echo ' | ';
	endif; 
	
	comments_popup_link();
	echo ' | ';
	edit_post_link();
echo '</div>';
}
endif;


//find parents of attachemnts and child pages
function pia_parent() {
    global $post;  
	if ( ! empty( $post->post_parent ) ) : 
		echo '<div class="parent"><a href="' . get_permalink( $post->post_parent ) . ' rel="gallery">';
		echo '&larr; ' . get_the_title( $post->post_parent ) . '</a></div>';
	endif;
}
?>